# Contentful Integrations

LingoHub API V2 (Beta) · [all operations](https://developers.lingohub.com/reference/v2.md)

Connect a project to Contentful, choose what it translates, and sync, push or pull its content.

## Operations

- [`POST /v2/projects/{projectId}/integrations/contentful/sync`](https://developers.lingohub.com/reference/v2/operations/synccontentfulintegration.md): Sync with Contentful
- [`POST /v2/projects/{projectId}/integrations/contentful/push`](https://developers.lingohub.com/reference/v2/operations/pushcontentfulintegration.md): Push to Contentful
- [`POST /v2/projects/{projectId}/integrations/contentful/pull`](https://developers.lingohub.com/reference/v2/operations/pullcontentfulintegration.md): Pull from Contentful
- [`POST /v2/integrations/contentful/projects`](https://developers.lingohub.com/reference/v2/operations/createcontentfulproject.md): Create a Contentful project
- [`GET /v2/projects/{projectId}/integrations/contentful`](https://developers.lingohub.com/reference/v2/operations/getprojectcontentfulintegration.md): Retrieve the Contentful integration
- [`PATCH /v2/projects/{projectId}/integrations/contentful`](https://developers.lingohub.com/reference/v2/operations/updateprojectcontentfulintegration.md): Update the Contentful integration
- [`GET /v2/integration-authentications/{integrationAuthenticationId}/contentful-spaces`](https://developers.lingohub.com/reference/v2/operations/listcontentfulspaces.md): List Contentful spaces
- [`GET /v2/integration-authentications/{integrationAuthenticationId}/contentful-languages`](https://developers.lingohub.com/reference/v2/operations/listcontentfullanguages.md): List Contentful languages
- [`GET /v2/integration-authentications/{integrationAuthenticationId}/contentful-environments`](https://developers.lingohub.com/reference/v2/operations/listcontentfulenvironments.md): List Contentful environments
